IF OBJECT_ID('dbo.fn_fco_centro_trabajo') IS NOT NULL
    DROP FUNCTION dbo.fn_fco_centro_trabajo
GO
CREATE FUNCTION dbo.fn_fco_centro_trabajo
(
    @pch_compania char(4),
    @pch_trabajador char(10)    
)
RETURNS decimal(9)
AS
BEGIN
    DECLARE 
        @vdc_centro_tra decimal(9),
        @vch_agt_CTR char(10)     -- Centro de Trabajo

    SELECT @vch_agt_CTR = dato FROM vw_fdt_parametros 
    WHERE pais = 'COL' AND compania = @pch_compania AND parametro = 'autoliq' AND secuencia = 24

    SELECT @vdc_centro_tra = codigo_reporte
    FROM vw_fco_centros_trabajo a
    INNER JOIN rel_trab_agr b ON a.compania = b.compania AND a.centro_trabajo = b.dato
    WHERE a.compania = @pch_compania
      AND b.trabajador = @pch_trabajador
      AND b.agrupacion = @vch_agt_CTR
    
    RETURN ISNULL(@vdc_centro_tra, 0)
END
GO
GRANT EXECUTE ON dbo.fn_fco_centro_trabajo TO PUBLIC
GO
